Skip to main content
`Ctrl`+`K`

# PetscDASqrtType

Type of square root of matrices to use the data assimilation algorithms

## Synopsis

    typedef enum {
      PETSCDA_SQRT_CHOLESKY = 0,
      PETSCDA_SQRT_EIGEN    = 1
    } PetscDASqrtType;

## Values

- `PETSCDA_SQRT_CHOLESKY` - Use the Cholesky factorization

- `PETSCDA_SQRT_EIGEN` - Use the eigenvalue decomposition

## Option Database Key

- -petscda_ensemble_sqrt_type <cholesky, eigen> - select the square root type at run time

## See Also

PetscDA: Data Assimilation, `PetscDA`, `PetscDAEnsembleSetSqrtType()`, `PetscDAEnsembleGetSqrtType()`

## Level

intermediate

## Location

include/petscda.h

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages